Skip to main content
GET
Get contacts

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Query Parameters

Offset
integer<int32>
Required range: 0 <= x <= 2147483647
Limit
integer<int32>
Required range: 1 <= x <= 500
UpdatedSince
integer<int64>

Returns contacts updated since a specified time (.net ticks representation of the UTC datetime).

ExcludeDeletedContacts
boolean

Excludes (filters out) deleted contacts if set to true.

Example:

true

Type
string[]

Filters result by one more contact types if set. Returns all contact types by default. Possible values: Staff, Person, Organisation, GroupOfPeople, Trust

Available fields: email, phone, name

Sort
string

Available fields: lastUpdated

Fields
string

Available fields: passportDetails, deathDetails, citizenshipDetails, utbmsDetails, tags, executionOptions, voiDetails

Response

200 - application/json

When request is successful. Returns a paged collection of 'Contact' objects.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
value
object[] | null
offset
integer<int32> | null
limit
integer<int32> | null
size
integer<int64>
first
object | null
previous
object | null
next
object | null
last
object | null